Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class UsageChart

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.chart.Chart
              org.hyperic.image.chart.VerticalChart
                  org.hyperic.image.chart.ColumnChart
                      org.hyperic.image.chart.HealthChart
                          org.hyperic.image.chart.UsageChart

    public class UsageChart

extends HealthChart

Field Summary

Fields inherited from class org.hyperic.image.chart.ColumnChart
`columnColor, columnWidth, DEFAULT_COLUMN_COLOR, DEFAULT_COLUMN_WIDTH, DEFAULT_HIGHLOW_COLOR, isCumulative`

Fields inherited from class org.hyperic.image.chart.VerticalChart
`DANGER_COLOR, DEFAULT_COLOR, GOOD_COLOR, UNKNOWN_COLOR`

Fields inherited from class org.hyperic.image.chart.Chart
`ARG_MUST_BE_ZERO_OR_GREATER, averageLineColor, AVG, baseline, BASELINE, baselineColor, ceiling, chartColor, DEFAULT_LABEL_FONT, DEFAULT_LEGEND_FONT, DEFAULT_LEGEND_PLAIN, DEFAULT_UNIT_LEGEND, DEFAULT_VALUE_LEGEND, EMPTY_STRING, floor, highRange, highRangeColor, legendFont, legendTextColor, lineWidth, LOW, lowLineColor, lowRange, lowRangeColor, m_adRangeMarks, m_bNoData, m_dAvgValue, m_dLowValue, m_dPeakValue, m_floor, m_fmtScale, m_fmtType, m_metricsLabel, m_metricsLegend, PEAK, peakLineColor, rightLabelWidth, showAverage, showBaseline, showBottomLabels, showBottomLegend, showEvents, showFullLabels, showHighRange, showLeftLabels, showLeftLegend, showLow, showLowRange, showPeak, showRightLabels, showRightLegend, showTopLabels, showTopLegend, showUnitLines, showValueLines, showValues, textWhitespace, tickMarkHeight, valueIndent, valueLines, VARIABLE_HEIGHT, VARIABLE_WIDTH, x2VertLabels, x2VertMarks, xLabelsSkip, xLineColor, xOffset, xRLabel, xVertLegend, xVertMarks, yBottomLegend, yHorzLabels, yOffset, yTopLegend`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`UsageChart(int width, int height)`

Method Summary
`protected void` | `init()`

Methods inherited from class org.hyperic.image.chart.HealthChart
`getUnitStrings, getXLabels`

Methods inherited from class org.hyperic.image.chart.ColumnChart
`checkHighLow, paint`

Methods inherited from class org.hyperic.image.chart.VerticalChart
`adjustBorders, adjustRectangle, draw, findDataPointIndex, getCumulativeTrend, getDataPoint, getDataPoint, getDataPointEventIndexes, getInteriorRectangle, getXPoints, getYLabelWidth, initData, setCumulativeTrend, setTimeScale`

Methods inherited from class org.hyperic.image.chart.Chart
`calc, calcRanges, calcVariableHeight, calcVariableWidth, draw, getAverageValue, getDataCollectionClass, getDataPoint, getDataPoints, getDataPoints, getDataSetCount, getDataSetIterator, getDisplayPoint, getEventPoints, getEventPoints, getEventSetIterator, getExteriorHeight, getExteriorRectangle, getLowValue, getNoDataString, getPeakValue, getTitle, getUnitLabel, getUnitLegend, getValueLegend, getXLabelHeight, getXLabelWidth, getXLegendHeight, hasData, initFonts, postInit, preInit, scale, setAbsTimeLabels, setFormat, setNoDataString, setNumberDataSets, setTitle, setUnitLegend, setValueLegend`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsageChart

    public UsageChart(int width,
                      int height)

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `HealthChart`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.